use core::fmt::Display;

use super::syslog_msg::SyslogMessage;

pub struct SyslogIpc {
    message: SyslogMessage,
}
impl SyslogIpc {
    pub fn dissect(buffer: &[u8]) -> Self {
        Self { message: postcard::from_bytes(buffer).unwrap() }
    }
}

impl Display for SyslogIpc {
    fn fmt(&self, f: &mut core::fmt::Formatter<'_>) -> core::fmt::Result {
        f.write_fmt(format_args!("{}", self.message))
    }
}
