use x86_64::instructions::port::Port;

use crate::{kernel_heap::HEAP, physical_memory::PHYSICAL_MEMORY, println};

pub fn exit_qemu() -> ! {
    PHYSICAL_MEMORY.lock().print_stats();
    HEAP.print_stats();
    unsafe {
        Port::new(0xf4).write(0u32);
    }
    println!("Failed to quit QEMU! Disabling interupts and halting CPU!");
    x86_64::instructions::interrupts::disable();
    loop {
        x86_64::instructions::hlt();
    }
}
