use crate::{bootinfo::BOOTINFO, main, tasking::TASKING};
use bootloader_api::{config::Mapping, entry_point, BootInfo, BootloaderConfig};

pub static BOOTLOADER_CONFIG: BootloaderConfig = {
    let mut config = BootloaderConfig::new_default();
    config.mappings.physical_memory = Some(Mapping::Dynamic);
    config.mappings.dynamic_range_start = Some(0xFFFF_8000_0000_0000);
    config
};

entry_point!(start, config = &BOOTLOADER_CONFIG);

fn start(bootinfo: &'static mut BootInfo) -> ! {
    BOOTINFO.set(bootinfo);
    main();
    TASKING.exit(0);
}
